7.0.2 extremely slow vs 7.0.1 on a mac ?

Did anyone noticed that change ?

On my PowerBook 12" G4 1.5 ghz with 1.25 G RAM, 7.0.1 is very fast and responsive, however, when I run 7.0.2 (with the same memory/jvm settings as 7.0.1, just copied them) I noticed that it extremely slow, even when Im just typing a clear code without completions.

It looks like code highliter eats resources, if I will increase parsing time, things gets easier, but not as fast as with 7.0.1.

Both are running on JDK 1.5.0_07 and memory settings are

VMOptions
-Xms512m -Xmx512m -XX:MaxPermSize=512m -Xbootclasspath/p:../lib/boot.jar -ea
]]>


Message was edited by:
Dmitri Livotov

3 comments

Hello Dmitri,

Could you please take a CPU snapshot so that we could see exactly what is
slow? In order to enable that, please add -agentlib:yjpagent to the VM options
string in info.plist.

Did anyone noticed that change ?

On my PowerBook 12" G4 1.5 ghz with 1.25 G RAM, 7.0.1 is very fast and
responsive, however, when I run 7.0.2 (with the same memory/jvm
settings as 7.0.1, just copied them) I noticed that it extremely
fast, even when Im just typing a clear code without completions.

It looks like code highliter eats resources, if I will increase
parsing time, things gets easier, but not as fast as with 7.0.1.

Both are running on JDK 1.5.0_07 and memory settings are

 VMOptions
> -Xms512m -Xmx512m -XX:MaxPermSize=512m
> -Xbootclasspath/p:../lib/boot.jar -ea
> ]]>

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0

Hi Dmitry,

while connecting profiler and taking the snapshots, I noticed the core of this problem - this is a Java 1.6 %)

In Info.plist of 7.0.1 the preferred JVM version is 1.5 and for 7.0.2 - 1.5+ and 1.6.0 DP is installed on my mac as well, so this why the slowdown, as 1.6 DP works terribly on Mac. I switched preferred java vm to exact 1.5 and 7.0.2 is working perfectly now ! :) Sorry for false signal from my side, it is not an IDEA issue at all.

Regards,
Dmitri

0

It is not an IDEA issue, just check your IDEA's info.plist file and make sure IDEA IDE is using 1.5.x version of Java but not 1.6

0

Please sign in to leave a comment.